namespace Netina.Core.CoreServices.CommandQueries.Queries;

public sealed record GetTorobProductsQuery(int Page = 0) : IRequest<List<TorobProductResponseDto>>;

public sealed record GetEmallsProductsQuery(int Page = 0 , int Count = 20) : IRequest<EmallsResponseDto>;

public sealed record GetThumbSearchProductsQuery(string Name) : IRequest<SearchResponseDto>;

public sealed record GetZarehbinProductsQuery(int Page=0, string? ProductId=null);